Subject: bug#64830: 30.0.50 C++ treesitter mode no coloration

From: Alan Mackenzie <[email-masked]>
Date: Fri, 16 Aug 2024 18:06:31 +0000

Hello, Eli.

On Fri, Aug 16, 2024 at 20:45:05 +0300, Eli Zaretskii wrote:
> > Cc: [email-masked], [email-masked]
> > Date: Fri, 16 Aug 2024 20:40:07 +0300
> > From: Eli Zaretskii <[email-masked]>

> > I can reproduce this in Emacs 29, but not in the current emacs-30
> > branch.  I think I also have libtree-sitter-cpp version 0.22.2, but I
> > also tested with 0.22.3 and I see no problem there, either (with Emacs
> > 30).  So I wonder why you see this in Emacs 30.

> Maybe your Emacs 30 build is old?

No.  I updated it on Wednesday, the most recent commit I have being:

commit 9bedb957bebdca99b1bb96f58ea790e20ed48dee (HEAD -> emacs-30,
origin/emacs-30)
Author: Eli Zaretskii <[email-masked]>
Date:   Wed Aug 14 11:35:48 2024 +0300

    Improve documentation of time-parsing functions

..  I will update it right now and retry ....

..... DONE.  It makes no difference.  I don't understand either why I see
this bug and you don't.

-- 
Alan Mackenzie (Nuremberg, Germany).